<?php

namespace App\Generated\Controllers\V1;

use App\Generated\V1\Messages\Banner\PositionListMessage;
use App\Http\Controllers\Controller;
use App\Http\Services\V1\BannerService;
use DB;

class BannerController extends Controller
{
    public $handler;

    public function __construct(BannerService $handler)
    {
        $this->handler = $handler;
    }

    public function positionList(PositionListMessage $message)
    {
        $message->validateInput();
        $this->handler->positionList($message);
        $message->validateOutput();
        return $message->getResponse();
    }

}
